gEdit 3.18.3 in Xenial 16.04 Displays Wrong Outlined Colors of Bash Scripts

Bug #1589150 reported by Pascal Mons on 2016-06-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gedit (Ubuntu)
Low
Unassigned

Bug Description

I used Bash Scripts in Trusty 14.04 which I write and edit in gEdit.

However when upgrading to Xenial 16.04 a few days ago I had a surprise on the outlined colours displayed by the new gEdit 3.18.3. On a particular instruction the text until the end is displayed in pink as if there should be a Bash error. However there is no error in my Bash script and gEdit 3.10 from Trusty 14.04 displayed it accordingly.

I attach the screen-shot of the portion of script which shows that the Bash syntax is not properly checked in gEdit 3.18.3.

The problem is the use of a single quote (backslahed to avoid shell interpretation). Obviously there should be no second single quote but gEdit do color the script till the end in pink ... This is quite appalling ...

SUBJECT="${SUBJECT//[\'\\]}"

Which aim is to remove any single quote from a string.

This is the second bug I found in gEdit in less than a week or so, and a further proof of the unprofessional way of the GNOME Team for managing their releases.

These 2 bugs are plain regressions from perfectly working capabilities in previous versions.

Who will take care of this bug ?

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: gedit 3.18.3-0ubuntu4
ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
Uname: Linux 4.4.0-22-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
CurrentDesktop: Unity
Date: Sat Jun 4 22:14:49 2016
ExecutablePath: /usr/bin/gedit
InstallationDate: Installed on 2016-05-23 (12 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
SourcePackage: gedit
UpgradeStatus: No upgrade log present (probably fresh install)

Pascal Mons (anton+) wrote :
description: updated
description: updated
Sebastien Bacher (seb128) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. The issue you are reporting is an upstream one and it would be nice if somebody having it could send the bug to the developers of the software by following the instructions at https://wiki.ubuntu.com/Bugs/Upstream/GNOME. If you have done so, please tell us the number of the upstream bug (or the link), so we can add a bugwatch that will inform us about its status. Thanks in advance.

Changed in gedit (Ubuntu):
importance: Undecided → Low
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers